@use './styles/layout-media-object.variables' as *;

:host {
	@include digi-layout-media-object--variables;

	.digi-layout-media-object {
		display: flex;
		align-items: var(--digi--layout-media-object--alignment);
		gap: var(--digi--layout-media-object--gutter);
		flex-wrap: var(--digi--layout-media-object--flex-wrap);

		&--alignment-center {
			--digi--layout-media-object--alignment: center;
		}

		&--alignment-end {
			--digi--layout-media-object--alignment: flex-end;
		}

		&--alignment-stretch {
			--digi--layout-media-object--alignment: stretch;
		}
	}
}

.digi-layout-media-object__last {
	flex: 1;
}
